// Copyright 2000 by Robert Dick.
// All rights reserved.

#include "Epsilon.h"
#include "RStd.h"

namespace rstd {
using namespace std;

/*###########################################################################*/
void Epsilon_test() {
	double x = 50000;
	double y = 50000.0000001;

	eps_less<double> lt(1E10);
	eps_equal_to<double> eq(1E10);
	eps_not_equal_to<double> neq(1E10);

	Rassert(! lt(x, y));
	Rassert(eq(x, y));

	double a = 500;
	double b = 501;

	Rassert(lt(a, b));
	Rassert(! eq(a, b));

	Rassert(neq(50.0, 51.0));
}

}
